<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RenameDB Method (String, String, String, Boolean)
DatabaseEnvironment Class See Also Send Feedback

Rename the database specified by file and database to newname. If no database is specified, the underlying file represented by file is renamed using the value supplied to newname, incidentally renaming all of the databases it contained.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.14.0

# Syntax

C#

    public void RenameDB(
    	string file,
    	string database,
    	string newname,
    	bool autoCommit
    )

Visual Basic (Declaration)

    Public Sub RenameDB ( _
    	file As String, _
    	database As String, _
    	newname As String, _
    	autoCommit As Boolean _
    )

Visual C++

    public:
    void RenameDB(
    	String^ file,
    	String^ database,
    	String^ newname,
    	bool autoCommit
    )

#### Parameters

file
  Type: System..::.String
  The physical file which contains the database(s) to be renamed.

database
  Type: System..::.String
  The database to be renamed.

newname
  Type: System..::.String
  The new name of the database or file.

autoCommit
  Type: System..::.Boolean
  If true, enclose RenameDB within a transaction. If the call succeeds, changes made by the operation will be recoverable. If the call fails, the operation will have made no changes.

# See Also

DatabaseEnvironment Class
RenameDB Overload
BerkeleyDB Namespace